try 
{ 
    $name    = 'cmake'
    $url     = 'http://www.cmake.org/files/v2.8/cmake-2.8.8-win32-x86.zip'
    $tools   = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
    $content = Join-Path (Split-Path $tools) 'content'

    Install-ChocolateyZipPackage $name $url $content
    
    # List the installed components
    $bin  = Join-Path $content 'cmake-2.8.9-win32-x86\bin'
    $gui  = Join-Path $bin 'cmake-gui.exe'
    $test = Join-Path $bin 'ctest.exe'
    $pack = Join-Path $bin 'cpack.exe'
    $com  = Join-Path $bin 'cmw9xcom.exe'
    
	# Ignore
    @($com) | %{ New-Item "$_.ignore" -type file }
    
    # GUI
    @($gui) | %{ New-Item "$_.gui" -type file }
} 
catch 
{
    Write-ChocolateyFailure $name "$($_.Exception.Message)"
    throw 
}